curl --request POST \
--url https://api.kaizenautomation.com/executions/list \
--header 'Content-Type: application/json' \
--data '
{
"loginId": "<string>",
"search": [
"<string>"
],
"batch": "<string>",
"workflowId": "<string>",
"tagFilters": [
"<string>"
],
"fromTs": "2023-11-07T05:31:56Z",
"toTs": "2023-11-07T05:31:56Z",
"isTest": true
}
'import requests
url = "https://api.kaizenautomation.com/executions/list"
payload = {
"loginId": "<string>",
"search": ["<string>"],
"batch": "<string>",
"workflowId": "<string>",
"tagFilters": ["<string>"],
"fromTs": "2023-11-07T05:31:56Z",
"toTs": "2023-11-07T05:31:56Z",
"isTest": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
loginId: '<string>',
search: ['<string>'],
batch: '<string>',
workflowId: '<string>',
tagFilters: ['<string>'],
fromTs: '2023-11-07T05:31:56Z',
toTs: '2023-11-07T05:31:56Z',
isTest: true
})
};
fetch('https://api.kaizenautomation.com/executions/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executions": [
{
"id": "<string>",
"workflow": {
"id": "<string>",
"name": "<string>"
},
"batch": {
"id": "<string>",
"name": "<string>"
},
"logins": [
{
"id": "<string>",
"name": "<string>"
}
],
"authentications": [
{
"browserSessionId": "<string>",
"status": "<string>",
"liveViewUrl": "<string>"
}
],
"contextAuthentications": [
{
"contextAuthenticationId": "<string>",
"loginSummary": {
"loginId": "<string>",
"name": "<string>",
"isManual": true
}
}
],
"startTime": "2023-11-07T05:31:56Z",
"status": "InProgress",
"params": {},
"metadata": {},
"name": "<string>",
"attempts": 123,
"totalAttempts": 123,
"isLastAttempt": true,
"isTest": true,
"truncatedParams": "<string>",
"parentExecutionId": "<string>"
}
],
"total": 123
}{
"error": "<string>"
}List executions
Retrieves all executions for the current organization with optional filtering
Body
Request parameters for listing executions
Filter executions by status
InProgress, Completed, Enqueued, Failed, Paused Filter executions by login external ID
Search executions by execution ID or parameters. Multiple search terms are combined with OR (union search).
Filter executions by batch external ID
Filter executions by workflow external ID
Filter executions by workflow tag external IDs (workflows must have all specified tags)
Filter executions with start time >= this timestamp (ISO 8601 format, UTC)
Filter executions with start time <= this timestamp (ISO 8601 format, UTC)
Filter executions by test run status
Response
Executions retrieved successfully
List of executions
- Active Execution (In Progress or Paused)
- Enqueued Execution
- Active Execution (In Progress or Paused)
- Completed Execution Summary
- Failed Execution Summary
Show child attributes
Show child attributes
Total number of executions matching the filter criteria